iPhone 3G Unlock

*Note: If you want to software unlock your iPhone 3G with yellowsn0w, you MUST upgrade to baseband 02.28.00 (means you need to upgrade your iPhone 3G to 2.2 firmware in iTunes). I know Dev team repeatedly said not to, but they’ve changed their mind. Read more for additional info…

     At last, “yellowsn0w” is finally here! The projected release date was New Year’s Eve, at midnight, but due to major changes, the date was moved to today. Well I suppose apparently the iPhone-Dev team had other plans in mind. iPhone 3G software unlock on the first day of the year; what a nice way to start off 2009 don’t you think? They decided that their program will be released today, “as soon as the devteam member in charge of the repo woke up to fix a file permission error.” It is available on Cydia and/or Installer for easy and fast installation available on the sources found on their website (sorry the team doesn’t want forums posting direct links to the sources). The 3G unlock is in our grasps…~

     The reason for the delay was due to the fact that they have made many major changes to the unlock process. Within 2 days the team changed major parts of code in their program. They surprisingly found a hole in the new baseband which makes the 2.2 firmware baseband unlockable. The iPhone-Dev team stated many many times that you should not update to the 2.2 iPhone software because it updates your baseband which could negatively affect your unlock progress. Well most of the time, a new baseband version doesn’t have a hole in which the amazing programmers can inject code into. Most of the time it is best not to upgrade; in this situation the 02.28.00 baseband (comes along with the 3G 2.2 firmware) will be the only one supported.

iPhone Baseband 02.28.00 Unlocked

     For those of you who don’t understand anything I’ve descriptively said above, the following is for you. Any 2.1 and lower firmware users will have to upgrade to 2.2 in iTunes before they can unlock their iPhone 3G’s. That’s right 2.2! iPhone 3G users who have already updated by accident are EXTREMELY lucky this time because the unlock ONLY supports 2.2 firmware with the new baseband. Don’t try unlocking your iPhone 3G 2.1, 2.0.2, 2.0.1, or 2.0 with this. Besides who uses those older firmwares anyways?? It wouldn’t work even if you tried. yellowsn0w is designed to detect your baseband and if it’s not the designated one, it’ll just boot you back to the homescreen.

*Some things that you should note: There are two versions of yellowsn0w: 0.9.0 and 0.9.1. The 0.9.0 is more stable and the 0.9.1 is in beta. But those of you having problems/trouble on 0.9.0 should use 0.9.1. yellowsn0w has no SIM PIN support yet so remember to disable it before unlocking. If you are in the US and have T-Mobile, you turn off 3G networking before attempting to unlock. The unlock procedure might and most likely will hang up your iPhone 3G on the homescreen. Please wait a minute after unlock and reinsert SIM card if you’re having problems. All other problems/bugs should be reported directly to iPhone-Dev team.

2009!
Oh yeah did I mention it’s the 1st day of 2009 today? Happy New Year’s!